Bug 95025 - japanese/groff with option '-T html' makes an error.
japanese/groff with option '-T html' makes an error.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: okazaki
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 07:40 UTC by peanutsjamjam
Modified: 2006-04-22 22:53 UTC (History)
0 users

See Also:


Attachments
diff (627 bytes, patch)
2006-03-28 07:40 UTC, peanutsjamjam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description peanutsjamjam 2006-03-28 07:40:15 UTC
Using a port 'japanese/groff' with option '-T html' makes an error.
The error message is:

-------- error message begins here --------
/usr/local/bin/groff:/usr/local/share/groff/1.18.1/font/devhtml/DESC:14: invalid `prepro' argument `/usr/local/bin/ pre-grohtml': program name required
-------- error message ends here --------

There is a space between '/usr/local/bin/' and 'pre-grohtml' in 'prepro' argument in a DESC file.
This one space obstructs processing.

How-To-Repeat: 1: cd to /usr/ports/japanese/groff
2: make and make install the port
3: Try this long command.

/usr/bin/gzcat /usr/share/man/man1/ls.1.gz | /usr/local/bin/groff -man -T html > /dev/null

4: You will see an error message.
# Please make sure you are using /usr/local/bin/groff, not /usr/bin/groff
Comment 1 Edwin Groothuis freebsd_committer 2006-03-28 09:08:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->okazaki

Over to maintainer
Comment 2 Mark Linimon freebsd_committer 2006-04-15 07:18:19 UTC
Responsible Changed
From-To: okazaki->freebsd-ports-bugs

Maintainer was reset.
Comment 3 okazaki freebsd_committer 2006-04-20 00:38:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->okazaki

I'll handle this.
Comment 4 okazaki freebsd_committer 2006-04-22 22:53:27 UTC
State Changed
From-To: open->closed

Fixed, thanks!